%bcond_with appindicator
%bcond_without ModemManager
%bcond_with libnma_gtk4

Summary:       A network control and status notification applet for NetworkManager
Name:          network-manager-applet
Version:       1.28.0
Release:       7%{?dist}
License:       GPLv2+
URL:           https://gitlab.gnome.org/GNOME/network-manager-applet
Source0:       %{name}-%{version}.tar.xz
BuildRequires: libselinux-devel, gettext-devel, jansson-devel,libgudev1-devel >= 147, libsecret-devel >= 0.12
BuildRequires: gtk3-devel >= 3.10
%if %{with libnma_gtk4}
BuildRequires: gtk4-devel >= 3.96
%endif
%if %{with appindicator}
BuildRequires: libappindicator-gtk3-devel, libdbusmenu-gtk3-devel
%endif
%if %{with ModemManager}
BuildRequires: ModemManager-glib-devel
%endif
BuildRequires: NetworkManager-libnm-devel, libnotify-devel >= 0.4, glib2-devel >= 2.32
BuildRequires: gobject-introspection-devel >= 0.10.3
BuildRequires: desktop-file-utils, iso-codes-devel
BuildRequires: libnma-devel >= 1.8.27, gcr-devel
BuildRequires: pkgconfig, intltool,meson

Requires:      nm-connection-editor = %{version}-%{release}
Requires:      NetworkManager >= 1.16.0
Requires:      libnma >= 1.8.27
Requires:      libnotify >= 0.4.3

%description
This package contains a network control and status notification area applet
for use with NetworkManager.

%package -n nm-connection-editor
Summary: A network connection configuration editor for NetworkManager
Requires: libnma >= 1.8.27

%description -n nm-connection-editor
This package contains a network configuration editor and Bluetooth modem
utility for use with NetworkManager.

%package -n nm-connection-editor-desktop
Summary: The desktop file for nm-connection-editor
Requires: nm-connection-editor = %{version}-%{release}

%description -n nm-connection-editor-desktop
This package contains the desktop file and appdata for nm-connection-editor.
Without it, the nm-connection-editor cannot be started from the desktop
environment.

%prep
%autosetup -p1

%build
%meson -Dselinux=true \
%if %{with appindicator}
    -Dappindicator=yes \
%else
    -Dappindicator=no \
%endif
%if %{with ModemManager}
    -Dwwan=true
%else
    -Dwwan=false
%endif

%meson_build

%install
%meson_install
mkdir -p %{buildroot}%{_datadir}/gnome-vpn-properties

%find_lang nm-applet
cat nm-applet.lang >> %{name}.lang
desktop-file-validate %{buildroot}%{_sysconfdir}/xdg/autostart/nm-applet.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/nm-connection-editor.desktop

%check
%meson_test

%files
%license COPYING
%doc NEWS CONTRIBUTING
%{_bindir}/nm-applet
%{_datadir}/applications/nm-applet.desktop
%{_datadir}/icons/hicolor/22x22/apps/nm-adhoc.png
%{_datadir}/icons/hicolor/22x22/apps/nm-insecure-warn.png
%{_datadir}/icons/hicolor/22x22/apps/nm-mb-roam.png
%{_datadir}/icons/hicolor/22x22/apps/nm-secure-lock.png
%{_datadir}/icons/hicolor/22x22/apps/nm-signal-*.png
%{_datadir}/icons/hicolor/22x22/apps/nm-stage*-connecting*.png
%{_datadir}/icons/hicolor/22x22/apps/nm-tech-*.png
%{_datadir}/icons/hicolor/22x22/apps/nm-vpn-active-lock.png
%{_datadir}/icons/hicolor/22x22/apps/nm-vpn-connecting*.png
%{_datadir}/icons/hicolor/22x22/apps/nm-wwan-tower.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/GConf/gsettings/nm-applet.convert
%{_sysconfdir}/xdg/autostart/nm-applet.desktop
%{_mandir}/man1/nm-applet*

%files -n nm-connection-editor -f %{name}.lang
%{_bindir}/nm-connection-editor
%{_datadir}/icons/hicolor/*/apps/nm-device-*.*
%{_datadir}/icons/hicolor/*/apps/nm-no-connection.*
%{_datadir}/icons/hicolor/16x16/apps/nm-vpn-standalone-lock.png
%{_mandir}/man1/nm-connection-editor*
%dir %{_datadir}/gnome-vpn-properties

%files -n nm-connection-editor-desktop
%{_datadir}/applications/nm-connection-editor.desktop
%{_datadir}/metainfo/nm-connection-editor.appdata.xml

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.28.0-7
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.28.0-6
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.28.0-5
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 23 2023 rockerzhu <rockerzhu@tencent.com> - 1.28.0-4
- Enable ModemManager

* Thu Dec 8 2022 Shuo Wang <abushwang@tencent.com> - 1.28.0-3
- re-build for libnma update

* Thu Nov 17 2022 rockerzhu <rockerzhu@tencent.com> - 1.28.0-2
- disable appindicator and wwan

* Tue Nov 1 2022 yangke <yangke@redflag-os.com> - 1.28.0-1
- init build
